Honeycomb performance job 73/6873/1
authorselias <samelias@cisco.com>
Thu, 25 May 2017 08:01:53 +0000 (10:01 +0200)
committerselias <samelias@cisco.com>
Thu, 25 May 2017 08:01:53 +0000 (10:01 +0200)
Change-Id: If9aced5e6294974874bcf10a1bc7c471c03a819f
Signed-off-by: selias <samelias@cisco.com>
jjb/hc2vpp/csit-hc2vpp.yaml
jjb/hc2vpp/include-raw-hc2vpp-csit-integration-odl.sh
jjb/hc2vpp/include-raw-hc2vpp-csit-integration.sh
jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh [new file with mode: 0644]

index 606279c..cd619f6 100644 (file)
     odl:
         - boron
 
+- project:
+    name: csit-hc2vpp-perf
+    description: 'jenkins jobs to test Hc2vpp performance.'
+    jobs:
+        - 'hc2vpp-csit-perf-{stream}-{os}'
+    project: 'hc2vpp'
+    build-artifact-num-to-keep: 10
+    stream:
+        - master:
+            branch: 'master'
+            repo-stream-part: 'master'
+    os:
+        - ubuntu1604:
+            repo-os-part: 'ubuntu.xenial.main'
+    odl:
+        - boron
+
 - job-template:
     name: 'hc2vpp-csit-integration-{stream}-{os}'
 
         - robot-report:
             output-path: 'csit'
 
+- job-template:
+    name: 'hc2vpp-csit-perf-{stream}-{os}'
+
+    project-type: freestyle
+    node: '{os}-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - os-parameter:
+            os: '{os}'
+        - stream-parameter:
+            stream: '{stream}'
+        - odl-parameter:
+            odl: '{odl}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+        - fdio-infra-wrappers:
+            build-timeout: '{build-timeout}'
+
+    triggers:
+        - gerrit:
+            server-name: 'Primary'
+            trigger-on:
+                - comment-added-contains-event:
+                    comment-contains-value: 'verify-perf'
+
+            projects:
+              - project-compare-type: 'ANT'
+                project-pattern: '{project}'
+                branches:
+                  - branch-compare-type: 'ANT'
+                    branch-pattern: '**/{branch}'
+            skip-vote:
+                successful: false
+                failed: false
+                unstable: false
+                notbuilt: false
+
+    builders:
+        - shell:
+            !include-raw-escape: include-raw-hc2vpp-csit-perf.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
 - parameter:
     name: odl-parameter
     parameters:
index 6d1b3bf..5cd8b3e 100644 (file)
@@ -14,19 +14,19 @@ git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
 
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
     exit
 fi
 
 cd csit
 # execute csit bootstrap script if it exists
-if [ ! -e bootstrap-hc2vpp-integration.sh ]
+if [ ! -e bootstrap-hc2vpp-integration-odl.sh ]
 then
     echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
     exit 1
 else
     # make sure that bootstrap.sh is executable
-    chmod +x bootstrap-hc2vpp-integration.sh
+    chmod +x bootstrap-hc2vpp-integration-odl.sh
     # run the script
     if [ ${STREAM} == 'master' ]; then
         ./bootstrap-hc2vpp-integration-odl.sh ${STREAM} ${OS} ${ODL}
index bf6e70c..e4bbd3f 100644 (file)
@@ -14,7 +14,7 @@ git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
 
 # If the git clone fails, complain clearly and exit
 if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
     exit
 fi
 
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-perf.sh
new file mode 100644 (file)
index 0000000..674d13b
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Get CSIT branch
+if [ -f csit-test-branch ]; then
+    chmod +x csit-test-branch
+    CSIT_BRANCH=`./csit-test-branch`
+else
+    CSIT_BRANCH='master'
+fi
+
+# Clone csit
+git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
+    exit
+fi
+
+cd csit
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-perf.sh ]
+then
+    echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
+    exit 1
+else
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-hc2vpp-perf.sh
+    # run the script
+    if [ ${STREAM} == 'master' ]; then
+        ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS} ${ODL}
+    else
+        ./bootstrap-hc2vpp-perf.sh 'stable.'${STREAM} ${OS} ${ODL}
+    fi
+fi
+
+# vim: ts=4 ts=4 sts=4 et :